# Interface ITouchpointType

public interface ITouchpointType
Identifies a particular touchpoint. A touchpoint is identified by an id and a version.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ITouchpointType`
`NONE`
A touchpoint type indicating an undefined touchpoint type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Returns whether this TouchpointInstruction is equal to the given object.
`String`
`getId()`
`Version`
`getVersion()`

## Field Details

### NONE

static final ITouchpointType NONE
A touchpoint type indicating an undefined touchpoint type. Identity (==) must be used to test for the `NONE` type.

## Method Details

### getId

String getId()

### getVersion

Version getVersion()

### equals

boolean equals(Object obj)
Returns whether this TouchpointInstruction is equal to the given object. This method returns true if:

- Both this object and the given object are of type ITouchpointType
- The result of getId() on both objects are equal
- The result of getVersion() on both objects are equal

Overrides:
  `equals` in class `Object`